from tools import makeCSVFile

class vertices:
  def __init__(self, centers, n_clusters, csv_path, event):
    self.centers = centers
    self.n_clusters = n_clusters
    self.csv_path = csv_path
    self.event = event
    self.dictionary()

  def dictionary(self):
    dictionary = {
      'simVertex_x': [self.centers[i][0] for i in range(self.n_clusters)],
      'simVertex_y': [self.centers[i][1] for i in range(self.n_clusters)],
      'simVertex_z': [float(0) for _ in range(self.n_clusters)],
      'simVertex_t': [float(0) for _ in range(self.n_clusters)],
      'simVertex_parentIndex': [0 for _ in range(self.n_clusters)],
      'simVertex_vertexIndex': list(range(self.n_clusters)),
      'simVertex_event': [self.event for _ in range(self.n_clusters)]
    }
    makeCSVFile(dictionary, self.csv_path)