#include "../interface/SimTrack.h"

SimTrack::SimTrack() : ivert_(-1), igenpart_(-1), crossedBoundary_(false) {}

SimTrack::SimTrack(int ipart, int charge, const Vector4D &p, int iv, int ig,
                   const Vector3D &tkp, const Vector4D &tkm)
    : tId_(0), thePID_(ipart), charge_(charge), theMomentum_(p), ivert_(iv), igenpart_(ig),
      tkposition_(tkp), tkmomentum_(tkm), crossedBoundary_(false) {}
